import { type Page } from '@playwright/test';
import { BasePage } from './BasePage';
import { AddressForm } from './forms/AddressForm';
import { VehicleSelectionForm } from './forms/VehicleSelectionForm';
import { ICustomerDetails, IVehicleDetails } from '@business-logic/types/CustomerDetails';

export class VehicleLookupAddressPage extends BasePage {
    readonly page: Page;
    readonly addressForm: AddressForm;
    readonly vehicleSelectionForm: VehicleSelectionForm;
    issPageValue = 'address-lookup';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.addressForm = new AddressForm(page);
        this.vehicleSelectionForm = new VehicleSelectionForm(page);
    }

    async lookupVehicleByAddress(customerDetails: ICustomerDetails, vehicleDetails: IVehicleDetails) {
        await this.addressForm.populateAddress(customerDetails);
        //await this.nextPage();
        //await this.vehicleSelectionForm.selectVehicle(vehicleDetails);
    }
}